[ovs-dev] [PATCH v2 1/3] ovs-save: Use --bundle to restore flows (on OpenFlow 1.4+)

Flavio Leitner fbl at sysclose.org
Tue Oct 17 17:26:46 UTC 2017


On Mon, 25 Sep 2017 16:44:04 +0200
Timothy Redaelli <tredaelli at redhat.com> wrote:

> If possible, use OpenFlow 1.4 atomic bundle transaction to restore flows.
> The patch uses also the highest enabled OpenFlow version to do the queries.
> 
> With the actual implementation, if you have the default OpenFlow version
> disabled then ovs-save fails. This patch also fixes that problem.
> 
> Signed-off-by: Timothy Redaelli <tredaelli at redhat.com>
> ---
>  utilities/ovs-save | 22 +++++++++++++++++++---
>  1 file changed, 19 insertions(+), 3 deletions(-)
> 

Acked-by: Flavio Leitner <fbl at sysclose.org>
Thanks!
fbl



More information about the dev mailing list